Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#35753 - [linux] CONFIG_SECURITY_TOMOYO_POLICY_LOADER point to a 'wrong' dir

Attached to Project: Arch Linux
Opened by Pablo Lezaeta (Jristz) - Tuesday, 11 June 2013, 05:27 GMT
Last edited by Jan Alexander Steffens (heftig) - Sunday, 14 March 2021, 14:40 GMT
Task Type Feature Request
Category Packages: Core
Status Closed
Assigned To Tobias Powalowski (tpowa)
Jan Alexander Steffens (heftig)
Levente Polyak (anthraxx)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
In the kernel config this flag is set
CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/sbin/tomoyo-init"
sinceht emerge of all to usr/bin I think that have more sence making this to point to usr/bin rated that to sbin
I know that all is a simlink but this change maybe can help in the future if their decide remove symlinks
adittionally this change going to demotrate that we WANT allin usr/bin to the future and probably fix future bugs and a change like this not hurt

Additional info:
* linux
* linux-lts (if you decide add tomoyo support for the lts kernel upstream offer patch [supported by uptream] for aking the actual versionof tomoyo work in older kernels)

Steps to reproduce:
look the direction of CONFIG_SECURITY_TOMOYO_POLICY_LOADER is used to triger tomoyo and look the path of tomoyo now in arch
This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Sunday, 14 March 2021, 14:40 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in trunk; pending next release.
Comment by nl6720 (nl6720) - Sunday, 14 March 2021, 14:00 GMT
  • Field changed: Percent Complete (100% → 0%)
This change was lost after disabling and re-enabling TOMOYO support over the years.

linux 5.11.arch2-1, linux-lts 5.10.17-1, linux-zen 5.11.zen2-2 and linux-hardened 5.10.17.hardened1-1 set CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/sbin/tomoyo-init".

Please change it to CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/usr/bin/tomoyo-init".

Loading...